POST Agents/Appointment/GetAlarms
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/Appointment/GetAlarms
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Appointment/GetAlarms?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
IncludeInvitations, IncludeAllAppointments, DefaultAlarmLeadTimeInMinutes
| Property Name | Type | Description |
|---|---|---|
| IncludeInvitations | Boolean | |
| IncludeAllAppointments | Boolean | |
| DefaultAlarmLeadTimeInMinutes | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: MultiAlarmData
| Property Name | Type | Description |
|---|---|---|
| Alarms | array | |
| PollingInterval | int32 | |
| SilentAfter | int32 | |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Appointment/GetAlarms
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"IncludeInvitations": false,
"IncludeAllAppointments": false,
"DefaultAlarmLeadTimeInMinutes": 231
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Alarms": [
{
"AppointmentId": 592,
"StartTime": "2024-12-05T14:00:00+01:00",
"EndDate": "2024-12-05T15:00:00+01:00",
"AlarmTime": "2024-12-05T13:30:00+01:00",
"PersonId": 139,
"PersonFullName": "David Miller",
"ContactName": "TechVision AS",
"ProjectId": 819,
"ProjectName": "Cloud Migration Project",
"AppointmentText": "Important: Client presentation for cloud migration strategy",
"SaleId": 712,
"SaleName": "Cloud Services - TechVision",
"Location": "Client Office - Bergen",
"AppointmentType": "BookingForChecklist",
"ContactId": 395,
"AssignmentStatus": "Assigning",
"InvitationStatus": "Accepted",
"BookingType": "None",
"FormalName": "Kutch-Daugherty",
"TaskName": "Runolfsdottir Inc and Sons",
"ContactDepartment": "",
"ContactFullName": "TechVision AS",
"JoinVideomeetUrl": "https://meet.superoffice.com/presentation/xyz789",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 912
}
}
}
],
"PollingInterval": 285,
"SilentAfter": 624,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 477
}
}
}